<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<SCRIPT language="Javascript">
				var sec=3;
				setTimeout("timedCount()",1000);
				function timedCount()
				{
					
					document.getElementById('sec_id').innerHTML = sec;
					sec = sec-1;
					if(sec >= 0)
					{
						setTimeout("timedCount()",1000);
					}
					else
					{
						refresh_sys();
					}
				}
				
				function refresh_sys()
				{
					//window.location=location.href;
					window.location=selectvalue+"global.cgi?userid="+userid;  

				}
			</SCRIPT>
			<title>HighPoint RAID Management -- Offline</title>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init2();">
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<xsl:for-each select="adapters">
							<td colspan="2">
								<xsl:call-template name="DrawTopMenu2">
								
								</xsl:call-template>
							</td>
							</xsl:for-each>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
							<td class="title" align="center">Connection Failure
							<xsl:for-each select="hpt_raidman_page/events">
								(<xsl:value-of select="(@page)+1"/>)
							</xsl:for-each>
							</td>
						</tr>
						<tr>
							<td class="content" align="center">
							<table id="eventtable" width="100%" height="150" border="0">
									<tr>

										<td align="center" valign="middle" width="20%">
											<img src="warn1.jpg" style="height:128px; height:128px;" />
										</td>
										<td width="70%" style="font-size:16px; color:#EE0000;" valign="middle">
										The connection between WebGUI and RocketRAID HBA has been interruptted, WebGUI will try to reconnect RocketRAID HBA in <span id="sec_id" style="color:#000000;">20</span> second(s).
										
										</td>

										<td width="1%">
										</td>
									</tr>
										
							</table>
							<div style="width:120px; margin:auto;"><input value="Connect now" id="refresh_rescan" type="button" onclick="refresh_sys()" style="margin:0px; padding:0px; width:120px;" /></div>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>