<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="devinfo.xsl"/>
	<xsl:import href="public.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:variable name="ref">
	        <xsl:choose>
		<xsl:when test="count(hpt_raidman_page/hpt_raid/logicals/array/build_progress)=0 and count(hpt_raidman_page/hpt_raid/logicals/array/trans_progress)=0 and count(hpt_raidman_page/hpt_raid/logicals/array/members/array/trans_progress)=0 and count(hpt_raidman_page/hpt_raid/logicals/array/members/array/build_progress)=0">
			1
		</xsl:when>
		<xsl:otherwise>
		   0
		</xsl:otherwise>  
		</xsl:choose> 
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<SCRIPT language="Javascript">function arrman_rescan(){
		alert("This method has not been implemented!")
	}

	function Arrman_ShowCreate(){
		document.location.href="rccman.cgi?func=ShowCreate&amp;userid="+userid;
	}
	function Arrman_ShowTransform(id,name){
		var transformform = document.forms[id+"_transformform"];
		var targettype;
		with (transformform.elements[0]){
			if(options[JBOD_INDEX].selected)
				targettype = "JBOD(Volume)"	;
			else if(options[RAID0_INDEX].selected)
				targettype = "RAID 0"	;
			else if(options[RAID1_INDEX].selected)
				targettype = "RAID 1"	;
			else if(options[RAID3_INDEX].selected)
				targettype = "RAID 3"	
			else if(options[RAID5_INDEX].selected)
				targettype = "RAID 5"	;
			else if(options[RAID10_INDEX].selected)
				targettype = "RAID 10"	;
			else if(options[RAID50_INDEX].selected)
				targettype = "RAID 5/0"	;
			else if(options[RAID6_INDEX].selected)
				targettype = "RAID 6"	;
		}
		if(targettype==""){
      		alert("Please select a target array type.");
	  		return false;
    		}
    		
		//HideArrayPopup(id);
		url = "rccman.cgi?func=ShowTransform&amp;devid="+id+"&amp;userid="+userid+"&amp;targettype="+targettype;
		document.location.replace(url);
		return false;
	}
	function Arrman_ShowCache(id,name){
		HideArrayPopup(id);
		var i=0;
		var theform = document.forms['opform'];
		theform.elements[0].value="ShowCache";
		<xsl:for-each select="hpt_raidman_page">
		theform.elements[1].value=id;
		</xsl:for-each>
		theform.submit();
		return true;
	}
	function Arrman_DelCC(id,name){
		//HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="DelCC";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Arrman_Recover(id,name){
		//HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="Recover";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Arrman_AddDiskToArray(id,name){
		//HideArrayPopup(id);
		document.location.href="rccman.cgi?func=ShowAddDisk&amp;devid="+id+"&amp;userid="+userid;
	}
	function Arrman_Rescan(id,name){
		var theform = document.forms['opform'];
		theform.elements[0].value="Rescan";
		theform.submit();
		return true;
	}
	function Arrman_ChangeCachePolicy(id,name){
		var theform = document.forms['opform'];
		theform.elements[0].value="ChangeCachePolicy";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	
	function Arrman_Rfresh(id,name){
		var theform = document.forms['opform'];
		theform.elements[0].value="Refresh";
		theform.submit();
		return true;
	}
	function Arrman_Mute(){
		var theform = document.forms['opform'];
		theform.elements[0].value="BeeperMute";
		theform.submit();
		return true;
	}
	function Arrman_Delete(id,name){
		if (confirm("All data on the volume you selected will be deleted. Do you want to continue?")==false){
    		return false;
  		}
		HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="Delete";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Arrman_Rename(id,name){
		var renameform = document.forms[id+"_renameform"];
		if(renameform.elements[0].value==""){
      		alert("Please input the array's name.");
	  		return false;
    	}
		HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="Rename";
		theform.elements[1].value=id;
		theform.elements[2].value=renameform.elements[0].value;
		theform.submit();
		return true;
	}
	function CheckArrayName(id){
		var renameform = document.forms[id+"_renameform"];
		if(renameform.elements[2].value==""){
      		alert("Please input the array's name.");
	  		return false;
    	}
		return true;
	}
	
	function Arrman_ContinueTransform(id,name){
		HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="ContinueTransform";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}

	function Arrman_UnplugArray(id,name){
		HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="UnplugArray";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Arrman_Verify(id,name){
		//HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="Verify";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Arrman_Initialize(id,name){
		//HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="Initialize";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Arrman_Rebuild(id,name){
		//HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="Rebuild";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	
	function Arrman_Stop(id,name){
		//HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="Stop";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
			function GetArrayXml(){
				var url = "rccman.cgi?userid="+userid;
				if(window.XMLHttpRequest){
				  req = new XMLHttpRequest();
				}else if(window.ActiveXObject){
				  req = new ActiveXObject("Microsoft.XMLHTTP");
				}
				if(req){
					req.open("GET",url,true);
					req.onreadystatechange = GetArrayXmlComplete;
					req.send(null);
				}
			}
			function GetArrayXmlComplete(){
				if(req.readyState ==4){
					if(req.status == 200){
					   var doc = req.responseXML.documentElement;
					   var length = doc.getElementsByTagName("array").length;
					   for(i=0;i&lt;length;i++){
					   	   array = doc.getElementsByTagName("array")[i];
						   var arrayid = doc.getElementsByTagName("array")[i].getAttribute('id');
						   var flags;
						   var re_time;
						   var progress="";
					   	   for(j=0;j&lt;array.childNodes.length;j++){
						   	 arrayname = array.childNodes[j].nodeName;
							 position = arrayname.indexOf("_progress");
						   	 if(position != -1){
							 	progress = array.childNodes[j].firstChild.data; 
							 }
							 if(array.childNodes[j].nodeName=="remaining_time"){
							 	    re_time=array.childNodes[j].firstChild.data;
							 }   
							 if(array.childNodes[j].nodeName == "flags"){
							 	flags = array.childNodes[j].getAttribute('des');
							 }  
						   }						  
						   
						   if(progress!=""){
						    	var obj;
						   		tagid = arrayid+"_status";
    								obj = document.getElementById(tagid);
						   		if(obj!=null)
						   			obj.innerHTML = flags;
						   	        tagid = arrayid +"_remaining_time";
						   	        obj =document.getElementById(tagid);
						   	        if(obj){
                                                                    if(re_time)
						   	               obj.innerHTML ="remaining time:"+re_time;
		                                                }
						   		tag = arrayid+"_progress";
								if(progress == "0%")
									progress = "1%";
    								obj = document.getElementById(tag);
								if(obj!=null){
								        
									obj.width = progress;
								}
							}
							else{
								progresstag = arrayid+"_progress";
								if(IE)
    								obj = eval('document.all.' + progresstag);
  								else
    								obj = document.getElementById(progresstag);
								if(obj!=null){
									document.location.href = "rccman.cgi?userid="+userid;
								}
									
							}
					   }
					}
				}
			}
			function getXml(){
			        var temp=<xsl:value-of select="$ref"/>; 
			        if(temp) return false;
				GetArrayXml();
				setTimeout("getXml()",10000);
			}
			
			
function ExamCreateCache(){
  with (document.Cache){
 	//end if
	var i = 0 ;
	selectcount=0;
    	found=0;
    while(elements[i]!=undefined){
		if (elements[i].type!="checkbox"){ 
			if(found==1)break;
		}else{
			found = 1;
      		if (elements[i].checked) selectcount++;
		}
		i++;
    }
    if(selectcount == 0){
        alert("Please select a disk.");
        document.MM_returnValue = false;
        return false;
    }
    //end while
    
  }
  document.MM_returnValue = true;
  return true;
}
function checkdisk(){
		<xsl:for-each select="hpt_raidman_page/hpt_raid/disks">
			<xsl:if test="count(disk)=0">
			alert("There is no available SSD for caching.");
			document.location.href="rccman.cgi?userid="+userid ;
			</xsl:if>
		</xsl:for-each>
}


function OnCCmodelChange(sectorsize)
{     
   //var str="WARNING: It is dangerous to add a WRITE BACK cache to an volume.\n"+
   //	"As if system is not shutdown properly, all data on target volume will be lost forever.\n"+
   //	"Press ESC to cancel, press ENTER to continue.";
   var str="WARNING!The Cache Policy Optimized yields somewhat better performance than Accelerated but with this performance improvement comes a slight risk that data may be lost if the system crashes.";
   if(sectorsize.selectedIndex!=0){ 
       if(confirm(str)) return true;
       else {
         sectorsize.options[0].selected="true";
         return false;
         }
   }   
    
}

function selectall(){
	var theform = document.Cache;
	for(i=0;i&lt;theform.elements.length;i++){
		if(theform.elements[i].type=="checkbox"){
			theform.elements[i].checked=true;
		}     
  	}
}
function Arrman_Rescan(id,name){
	var theform = document.forms['opform'];
	theform.elements[0].value="Rescan";
	theform.submit();
	return true;
}
function Arrman_Mute(){
	var theform = document.forms['opform'];
	theform.elements[0].value="BeeperMute";
	theform.submit();
	return true;
}			
	
		</SCRIPT>
        	<title>HighPoint RAID Management -- Logical</title>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init();getXml();">
			        
				<xsl:for-each select="hpt_raidman_page/hpt_raid/logicals/array">
					<xsl:call-template name="DrawArrayDetailDiv"/>
					<xsl:for-each select="trans_target/array">
						<xsl:call-template name="DrawArrayDetailDiv"/>
					</xsl:for-each>
				</xsl:for-each>
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu2"/>
							</td>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>	
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
                        <tr>
                            <td class="title" align="center">Add Cache to Array</td>
                        </tr>
						<tr>
							<td>
								<table id="arraymantable" width="100%">
									 <tr>
                                        <td class="content">
                                            <form name="Cache" action="arrman.cgi?userid={hpt_raidman_page/session/session_id}" method="POST" onsubmit="return ExamCreateCache();">
                                                <input type="hidden" name="func" value="CreateCache"/>
                                                <input type="hidden" name="sourceid" value="{/hpt_raidman_page/hpt_raid/Array/@id}"/>
                                                <table id="createtransformtable" width="100%" border="0">
                                                    
                                                    <tr>
                                                        <td class="content">
                                                            <table border="0" cellspacing="20">
                                                            <xsl:for-each select="hpt_raidman_page/hpt_raid/Array">
                                                            
                                                            <tr>
                                                                <td width="100">Source Name:</td>
                                                                <td>
                                                                    <input name="arrayname" type="text" size="16" value="{./name}" disabled="true"/>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                            	<td width="100">Source Type:</td>
                                                                <td>
                                                                    <input name="arraytype" type="text" size="16" value="{./type}" disabled="true"/>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                            	<td width="100">Capacity:</td>
                                                                <td>
                                                                    <input name="capacity" type="text" size="16" value="{./capacity}" disabled="true"/>
                                                                </td>
                                                            </tr>
                                                            </xsl:for-each>
                                                                <tr>
                                                                    <td>Cache Policy:</td>
                                                                    <td>
                                                                        <select size="1" name="cache" onchange="OnCCmodelChange(this);">
                                                                            <option selected="true">Accelerated</option>
                                                                    		<option >Optimized</option>
                                                                        </select>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Available Disks:</td>
                                                                    <td>
                                                                        <table border="0">
                                                                            <thead>
                                                                                <td/>
                                                                                <td/>
                                                                                <td>Location</td>
                                                                                <td>Model</td>
                                                                                <td>Capacity</td>
                                                                                <td>Max Free</td>
                                                                            </thead>
                                                                            
                                                                            <xsl:for-each select="/hpt_raidman_page/hpt_raid/disks/disk">
                                                                                <tr>
                                                                                    <td>
                                                                                        <input type="checkbox" name="check_{position()}" alt="{max_free}" value="{@id}"/>
                                                                                    </td>
                                                                                    <xsl:call-template name="DrawDiskInfoRowCell">
                                                                                        <xsl:with-param name="simple">true</xsl:with-param>
                                                                                    </xsl:call-template>
                                                                                </tr>
                                                                            </xsl:for-each>
                                                                        </table>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                	<td><input type="hidden" size="16" name="capacity" value="Maximum"/></td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <p align="center">
                                                                <input type="submit" value="Finish"  name="Create"  id="1"/>
                                                            </p>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </form>
                                        </td>
                                    </tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
